Create transaction steps export
curl --request POST \
--url https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>",
"endDate": "2023-11-07T05:31:56Z"
},
"sendEmailNotification": true
}
'import requests
url = "https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps"
payload = {
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>",
"endDate": "2023-11-07T05:31:56Z"
},
"sendEmailNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
filters: {
startDate: '2023-11-07T05:31:56Z',
skillId: '<string>',
transactionId: '<string>',
endDate: '2023-11-07T05:31:56Z'
},
sendEmailNotification: true
})
};
fetch('https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Report
Create transaction steps export
Starts an asynchronous CSV export of transaction step data from the Business Processing Reporting Warehouse. The response returns a requestId that you use to poll the export status and download the result files once the export succeeds. For the full workflow and CSV column reference, see Business Processing Reporting.
POST
/
api
/
reporting
/
v2
/
exports
/
transaction-steps
Create transaction steps export
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
OK
Response returned after a transaction steps export request is created. Contains the request ID used to poll the export status and download the result files.
Unique identifier of the report generation request. Pass it to the status and result endpoints.
Was this page helpful?
⌘I
